{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  {{- $buttons := and .button.text .button_secondary.text -}}
  {{- $text := .text -}}
  <section class="block-image" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">

        {{- with .image -}}
          <figure{{ with $title }} id="{{ . | urlize }}"{{ end }}>
            {{ partial "osuny/commons/image.html"
              (dict
                "image"    .
                "alt"      .alt
                "mobile"   "320"
                "tablet"   "720"
                "desktop"  "960"
              )}}
              {{- if $title | or $text | or .credit }}
              <figcaption>
                {{- with $title }}
                  <p class="figcaption__title"><strong>{{ partial "osuny/PrepareHTML" . }}</strong></p>
                {{ end -}}
                {{- with $text -}}
                  <div class="figcaption__text">{{ partial "osuny/PrepareHTML" . }}</div>
                {{ end -}}
                {{- with .credit }}
                  <p class="credit"><small>{{ partial "osuny/PrepareHTML" . }}</small></p>
                {{ end -}}
              </figcaption>
              {{ end -}}
          </figure>
        {{- end -}}

      </div>
    </div>
  </section>
{{- end -}}
